Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBaseImage

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseElement
          net.sf.jasperreports.engine.base.JRBaseGraphicElement
              net.sf.jasperreports.engine.base.JRBaseImage

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRAlignment, JRAnchor, JRBox, JRBoxContainer, JRChild, JRCloneable, JRCommonElement, JRCommonGraphicElement, JRCommonImage, JRElement, JRGraphicElement, JRHyperlink, JRImage, JRPenContainer, JRPropertiesHolder, JRStyleContainer, JRVisitable

    public class JRBaseImage

extends JRBaseGraphicElement
implements JRImage

The actual implementation of a graphic element representing an image.

Version:
  $Id: JRBaseImage.java 3941 2010-08-20 10:55:10Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected JRExpression` | `anchorNameExpression`
`protected int` | `bookmarkLevel` The bookmark level for the anchor associated with this image.
`protected JRGroup` | `evaluationGroup`
`protected EvaluationTimeEnum` | `evaluationTimeValue`
`protected JRExpression` | `expression`
`protected HorizontalAlignEnum` | `horizontalAlignmentValue`
`protected JRExpression` | `hyperlinkAnchorExpression`
`protected JRExpression` | `hyperlinkPageExpression`
`protected JRExpression` | `hyperlinkReferenceExpression`
`protected boolean` | `isLazy`
`protected java.lang.Boolean` | `isUsingCache`
`protected JRLineBox` | `lineBox`
`protected java.lang.String` | `linkTarget`
`protected java.lang.String` | `linkType`
`protected OnErrorTypeEnum` | `onErrorTypeValue`
`static java.lang.String` | `PROPERTY_LAZY`
`static java.lang.String` | `PROPERTY_ON_ERROR_TYPE`
`static java.lang.String` | `PROPERTY_USING_CACHE`
`protected ScaleImageEnum` | `scaleImageValue`
`protected VerticalAlignEnum` | `verticalAlignmentValue`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseGraphicElement
`fillValue, linePen`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElement
`backcolor, defaultStyleProvider, elementGroup, forecolor, height, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, key, modeValue, parentStyle, parentStyleNameReference, positionTypeValue, printWhenExpression, printWhenGroupChanges, PROPERTY_POSITION_TYPE, PROPERTY_PRINT_IN_FIRST_WHOLE_BAND, PROPERTY_PRINT_REPEATED_VALUES, PROPERTY_PRINT_WHEN_DETAIL_OVERFLOWS, PROPERTY_REMOVE_LINE_WHEN_BLANK, PROPERTY_STRETCH_TYPE, PROPERTY_WIDTH, PROPERTY_X, stretchTypeValue, width, x, y`

Fields inherited from interface net.sf.jasperreports.engine.JRImage
`ON_ERROR_TYPE_BLANK, ON_ERROR_TYPE_ERROR, ON_ERROR_TYPE_ICON, SCALE_IMAGE_CLIP, SCALE_IMAGE_FILL_FRAME, SCALE_IMAGE_REAL_HEIGHT, SCALE_IMAGE_REAL_SIZE, SCALE_IMAGE_RETAIN_SHAPE`

Fields inherited from interface net.sf.jasperreports.engine.JRGraphicElement
`FILL_SOLID, PEN_1_POINT, PEN_2_POINT, PEN_4_POINT, PEN_DOTTED, PEN_NONE, PEN_THIN`

Fields inherited from interface net.sf.jasperreports.engine.JRElement
`MODE_OPAQUE, MODE_TRANSPARENT, POSITION_TYPE_FIX_RELATIVE_TO_BOTTOM, POSITION_TYPE_FIX_RELATIVE_TO_TOP, POSITION_TYPE_FLOAT, STRETCH_TYPE_NO_STRETCH, STRETCH_TYPE_RELATIVE_TO_BAND_HEIGHT, STRETCH_TYPE_RELATIVE_TO_TALLEST_OBJECT`

Fields inherited from interface net.sf.jasperreports.engine.JRAnchor
`NO_BOOKMARK`

Fields inherited from interface net.sf.jasperreports.engine.JRHyperlink
`HYPERLINK_TARGET_BLANK, HYPERLINK_TARGET_CUSTOM, HYPERLINK_TARGET_PARENT, HYPERLINK_TARGET_SELF, HYPERLINK_TARGET_TOP, HYPERLINK_TYPE_CUSTOM, HYPERLINK_TYPE_LOCAL_ANCHOR, HYPERLINK_TYPE_LOCAL_PAGE, HYPERLINK_TYPE_NONE, HYPERLINK_TYPE_NULL, HYPERLINK_TYPE_REFERENCE, HYPERLINK_TYPE_REMOTE_ANCHOR, HYPERLINK_TYPE_REMOTE_PAGE`

Fields inherited from interface net.sf.jasperreports.engine.JRAlignment
`HORIZONTAL_ALIGN_CENTER, HORIZONTAL_ALIGN_JUSTIFIED, HORIZONTAL_ALIGN_LEFT, HORIZONTAL_ALIGN_RIGHT, VERTICAL_ALIGN_BOTTOM, VERTICAL_ALIGN_JUSTIFIED, VERTICAL_ALIGN_MIDDLE, VERTICAL_ALIGN_TOP`

Constructor Summary
`protected` | `JRBaseImage(JRImage image, JRBaseObjectFactory factory)` protected JRBaseImage() { super(); } /** Initializes properties that are specific to images.

Method Summary
`java.lang.Object` | `clone()`
`void` | `collectExpressions(JRExpressionCollector collector)`
`JRExpression` | `getAnchorNameExpression()` Returns an expression whose value represents the anchor name.
`int` | `getBookmarkLevel()` Returns the level of the bookmark corresponding to the anchor.
`byte` | `getBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getBorderColor()` Deprecated. Replaced by `getBox()`
`byte` | `getBottomBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getBottomBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getBottomPadding()` Deprecated. Replaced by `getBox()`
`JRBox` | `getBox()` Deprecated. Replaced by `getLineBox()`
`java.lang.Float` | `getDefaultLineWidth()`
`JRGroup` | `getEvaluationGroup()` Gets the evaluation group for this text field.
`byte` | `getEvaluationTime()` Deprecated. Replaced by `getEvaluationTimeValue()`.
`EvaluationTimeEnum` | `getEvaluationTimeValue()` Indicates the evaluation time for this image.
`JRExpression` | `getExpression()`
`byte` | `getHorizontalAlignment()` Deprecated. Replaced by `getHorizontalAlignmentValue()`.
`HorizontalAlignEnum` | `getHorizontalAlignmentValue()` Gets the text horizontal alignment.
`JRExpression` | `getHyperlinkAnchorExpression()` Returns the expression whose value represents the anchor.
`JRExpression` | `getHyperlinkPageExpression()` Returns an integer representing the page index of the link.
`JRHyperlinkParameter[]` | `getHyperlinkParameters()` Returns the list of hyperlink parameters.
`JRExpression` | `getHyperlinkReferenceExpression()` Returns the expression whose value represents the hyperlink reference.
`byte` | `getHyperlinkTarget()` Retrieves the hyperlink target for the element.
`JRExpression` | `getHyperlinkTooltipExpression()` Returns the expression which will generate the hyperlink tooltip.
`byte` | `getHyperlinkType()` Deprecated. Replaced by `getHyperlinkTypeValue()`.
`HyperlinkTypeEnum` | `getHyperlinkTypeValue()` Retrieves the hyperlink type for the element.
`byte` | `getLeftBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getLeftBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getLeftPadding()` Deprecated. Replaced by `getBox()`
`JRLineBox` | `getLineBox()`
`java.lang.String` | `getLinkTarget()` Returns the hyperlink target name.
`java.lang.String` | `getLinkType()` Returns the hyperlink type.
`ModeEnum` | `getModeValue()` Returns the element transparency mode.
`byte` | `getOnErrorType()` Deprecated. Replaced by `getOnErrorTypeValue()`
`OnErrorTypeEnum` | `getOnErrorTypeValue()` Indicates how the engine will treat a missing image.
`java.lang.Byte` | `getOwnBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnBottomBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnBottomBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnBottomPadding()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnHorizontalAlignment()` Deprecated. Replaced by `getHorizontalAlignmentValue()`.
`HorizontalAlignEnum` | `getOwnHorizontalAlignmentValue()`
`java.lang.Byte` | `getOwnLeftBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnLeftBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnLeftPadding()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnPadding()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnRightBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnRightBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnRightPadding()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnScaleImage()` Deprecated. Replaced by `getOwnScaleImageValue()`.
`ScaleImageEnum` | `getOwnScaleImageValue()` Gets the image own scale type.
`java.lang.Byte` | `getOwnTopBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnTopBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnTopPadding()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnVerticalAlignment()` Deprecated. Replaced by `getOwnVerticalAlignmentValue()`.
`VerticalAlignEnum` | `getOwnVerticalAlignmentValue()`
`int` | `getPadding()` Deprecated. Replaced by `getBox()`
`byte` | `getRightBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getRightBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getRightPadding()` Deprecated. Replaced by `getBox()`
`byte` | `getScaleImage()` Deprecated. Replaced by `getScaleImageValue()`.
`ScaleImageEnum` | `getScaleImageValue()` Gets the image scale type.
`byte` | `getTopBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getTopBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getTopPadding()` Deprecated. Replaced by `getBox()`
`byte` | `getVerticalAlignment()` Deprecated. Replaced by `getVerticalAlignmentValue()`.
`VerticalAlignEnum` | `getVerticalAlignmentValue()` Gets the text vertical alignment.
`boolean` | `isLazy()` Indicates if the images will be loaded lazily or not.
`java.lang.Boolean` | `isOwnUsingCache()` Indicates if the engine is loading the current image from cache.
`boolean` | `isUsingCache()` Indicates if the engine is loading the current image from cache.
`void` | `setBorder(byte border)` Deprecated. Replaced by `getBox()`
`void` | `setBorder(java.lang.Byte border)` Deprecated. Replaced by `getBox()`
`void` | `setBorderColor(java.awt.Color borderColor)` Deprecated. Replaced by `getBox()`
`void` | `setBottomBorder(byte bottomBorder)` Deprecated. Replaced by `getBox()`
`void` | `setBottomBorder(java.lang.Byte bottomBorder)` Deprecated. Replaced by `getBox()`
`void` | `setBottomBorderColor(java.awt.Color bottomBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setBottomPadding(int bottomPadding)` Deprecated. Replaced by `getBox()`
`void` | `setBottomPadding(java.lang.Integer bottomPadding)` Deprecated. Replaced by `getBox()`
`void` | `setHorizontalAlignment(byte horizontalAlignment)` Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.
`void` | `setHorizontalAlignment(java.lang.Byte horizontalAlignment)` Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.
`void` | `setHorizontalAlignment(HorizontalAlignEnum horizontalAlignmentValue)` Sets the text horizontal alignment.
`void` | `setLazy(boolean isLazy)` Gives control over when the images are retrieved from their specified location.
`void` | `setLeftBorder(byte leftBorder)` Deprecated. Replaced by `getBox()`
`void` | `setLeftBorder(java.lang.Byte leftBorder)` Deprecated. Replaced by `getBox()`
`void` | `setLeftBorderColor(java.awt.Color leftBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setLeftPadding(int leftPadding)` Deprecated. Replaced by `getBox()`
`void` | `setLeftPadding(java.lang.Integer leftPadding)` Deprecated. Replaced by `getBox()`
`void` | `setOnErrorType(byte onErrorType)` Deprecated. Replaced by `setOnErrorType(OnErrorTypeEnum)`
`void` | `setOnErrorType(OnErrorTypeEnum onErrorTypeValue)` Specifies how the engine should treat a missing image.
`void` | `setPadding(int padding)` Deprecated. Replaced by `getBox()`
`void` | `setPadding(java.lang.Integer padding)` Deprecated. Replaced by `getBox()`
`void` | `setRightBorder(byte rightBorder)` Deprecated. Replaced by `getBox()`
`void` | `setRightBorder(java.lang.Byte rightBorder)` Deprecated. Replaced by `getBox()`
`void` | `setRightBorderColor(java.awt.Color rightBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setRightPadding(int rightPadding)` Deprecated. Replaced by `getBox()`
`void` | `setRightPadding(java.lang.Integer rightPadding)` Deprecated. Replaced by `getBox()`
`void` | `setScaleImage(byte scaleImage)` Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.
`void` | `setScaleImage(java.lang.Byte scaleImage)` Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.
`void` | `setScaleImage(ScaleImageEnum scaleImageValue)` Sets the image scale type.
`void` | `setTopBorder(byte topBorder)` Deprecated. Replaced by `getBox()`
`void` | `setTopBorder(java.lang.Byte topBorder)` Deprecated. Replaced by `getBox()`
`void` | `setTopBorderColor(java.awt.Color topBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setTopPadding(int topPadding)` Deprecated. Replaced by `getBox()`
`void` | `setTopPadding(java.lang.Integer topPadding)` Deprecated. Replaced by `getBox()`
`void` | `setUsingCache(boolean isUsingCache)` Specifies if the engine should be loading the current image from cache.
`void` | `setUsingCache(java.lang.Boolean isUsingCache)` Specifies if the engine should be loading the current image from cache.
`void` | `setVerticalAlignment(byte verticalAlignment)` Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.
`void` | `setVerticalAlignment(java.lang.Byte verticalAlignment)` Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.
`void` | `setVerticalAlignment(VerticalAlignEnum verticalAlignmentValue)` Gets the text vertical alignment.
`void` | `visit(JRVisitor visitor)`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseGraphicElement
`getDefaultLineColor, getFill, getFillValue, getLinePen, getOwnFill, getOwnFillValue, getOwnPen, getPen, setFill, setFill, setFill, setPen, setPen`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElement
`clone, getBackcolor, getBaseStyle, getDefaultStyleProvider, getElementGroup, getEventSupport, getForecolor, getHeight, getKey, getMode, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getParentProperties, getPositionType, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertiesMap, getPropertyExpressions, getStretchType, getStretchTypeValue, getStyle, getStyleNameReference, getWidth, getX, getY, hasProperties, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setBackcolor, setForecolor, setMode, setMode, setMode, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setStretchType, setWidth, setX`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRGraphicElement
`getOwnPen, getPen, setPen, setPen`

Methods inherited from interface net.sf.jasperreports.engine.JRElement
`getElementGroup, getKey, getPositionType, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchType, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setStretchType, setWidth, setX`

Methods inherited from interface net.sf.jasperreports.engine.JRChild
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonGraphicElement
`getFill, getFillValue, getLinePen, getOwnFill, getOwnFillValue, setFill, setFill, setFill`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getHeight, getMode, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer
`getDefaultLineColor`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer
`getDefaultLineColor`

Field Detail

### PROPERTY_LAZY

    public static final java.lang.String PROPERTY_LAZY

See Also:
  Constant Field Values

### PROPERTY_ON_ERROR_TYPE

    public static final java.lang.String PROPERTY_ON_ERROR_TYPE

See Also:
  Constant Field Values

### PROPERTY_USING_CACHE

    public static final java.lang.String PROPERTY_USING_CACHE

See Also:
  Constant Field Values

### scaleImageValue

    protected ScaleImageEnum scaleImageValue

### horizontalAlignmentValue

    protected HorizontalAlignEnum horizontalAlignmentValue

### verticalAlignmentValue

    protected VerticalAlignEnum verticalAlignmentValue

### isUsingCache

    protected java.lang.Boolean isUsingCache

### isLazy

    protected boolean isLazy

### onErrorTypeValue

    protected OnErrorTypeEnum onErrorTypeValue

### evaluationTimeValue

    protected EvaluationTimeEnum evaluationTimeValue

### linkType

    protected java.lang.String linkType

### linkTarget

    protected java.lang.String linkTarget

### lineBox

    protected JRLineBox lineBox

### evaluationGroup

    protected JRGroup evaluationGroup

### expression

    protected JRExpression expression

### anchorNameExpression

    protected JRExpression anchorNameExpression

### hyperlinkReferenceExpression

    protected JRExpression hyperlinkReferenceExpression

### hyperlinkAnchorExpression

    protected JRExpression hyperlinkAnchorExpression

### hyperlinkPageExpression

    protected JRExpression hyperlinkPageExpression

### bookmarkLevel

    protected int bookmarkLevel

  The bookmark level for the anchor associated with this image.

  See Also:
    `JRAnchor.getBookmarkLevel()`

Constructor Detail

### JRBaseImage

    protected JRBaseImage(JRImage image,
                          JRBaseObjectFactory factory)

  protected JRBaseImage() { super(); } /** Initializes properties that are specific to images. Common properties are initialized by its parent constructors.

  Parameters:
    `image` - an element whose properties are copied to this element. Usually it is a `JRDesignImage` that must be transformed into an `JRBaseImage` at compile time.
    `factory` - a factory used in the compile process

Method Detail

### getModeValue

    public ModeEnum getModeValue()

  Description copied from interface: `JRCommonElement`
  Returns the element transparency mode. The default value depends on the type of the report element. Graphic elements like rectangles and lines are opaque by default, but the images are transparent. Both static texts and text fields are transparent by default, and so are the subreport elements.

  Specified by:
    `getModeValue` in interface `JRCommonElement`
  Overrides:
    `getModeValue` in class `JRBaseElement`

### getScaleImage

    public byte getScaleImage()

  Deprecated. Replaced by `getScaleImageValue()`.

  Specified by:
    `getScaleImage` in interface `JRCommonImage`

### getOwnScaleImage

    public java.lang.Byte getOwnScaleImage()

  Deprecated. Replaced by `getOwnScaleImageValue()`.

  Specified by:
    `getOwnScaleImage` in interface `JRCommonImage`

### setScaleImage

    public void setScaleImage(byte scaleImage)

  Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.

  Specified by:
    `setScaleImage` in interface `JRCommonImage`

### setScaleImage

    public void setScaleImage(java.lang.Byte scaleImage)

  Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.

  Specified by:
    `setScaleImage` in interface `JRCommonImage`

### getScaleImageValue

    public ScaleImageEnum getScaleImageValue()

  Description copied from interface: `JRCommonImage`
  Gets the image scale type.

  Specified by:
    `getScaleImageValue` in interface `JRCommonImage`
  Returns:
    a value representing one of the scale type constants in `ScaleImageEnum`

### getOwnScaleImageValue

    public ScaleImageEnum getOwnScaleImageValue()

  Description copied from interface: `JRCommonImage`
  Gets the image own scale type.

  Specified by:
    `getOwnScaleImageValue` in interface `JRCommonImage`
  Returns:
    a value representing one of the scale type constants in `ScaleImageEnum`

### setScaleImage

    public void setScaleImage(ScaleImageEnum scaleImageValue)

  Description copied from interface: `JRCommonImage`
  Sets the image scale type.

  Specified by:
    `setScaleImage` in interface `JRCommonImage`
  Parameters:
    `scaleImageValue` - a value representing one of the scale type constants in `ScaleImageEnum`

### getHorizontalAlignment

    public byte getHorizontalAlignment()

  Deprecated. Replaced by `getHorizontalAlignmentValue()`.

  Specified by:
    `getHorizontalAlignment` in interface `JRAlignment`

### getOwnHorizontalAlignment

    public java.lang.Byte getOwnHorizontalAlignment()

  Deprecated. Replaced by `getHorizontalAlignmentValue()`.

  Specified by:
    `getOwnHorizontalAlignment` in interface `JRAlignment`

### getHorizontalAlignmentValue

    public HorizontalAlignEnum getHorizontalAlignmentValue()

  Description copied from interface: `JRAlignment`
  Gets the text horizontal alignment.

  Specified by:
    `getHorizontalAlignmentValue` in interface `JRAlignment`
  Returns:
    a value representing one of the horizontal alignment constants in `HorizontalAlignEnum`

### getOwnHorizontalAlignmentValue

    public HorizontalAlignEnum getOwnHorizontalAlignmentValue()

  Specified by:
    `getOwnHorizontalAlignmentValue` in interface `JRAlignment`

### setHorizontalAlignment

    public void setHorizontalAlignment(byte horizontalAlignment)

  Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.

  Specified by:
    `setHorizontalAlignment` in interface `JRAlignment`

### setHorizontalAlignment

    public void setHorizontalAlignment(java.lang.Byte horizontalAlignment)

  Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.

  Specified by:
    `setHorizontalAlignment` in interface `JRAlignment`

### setHorizontalAlignment

    public void setHorizontalAlignment(HorizontalAlignEnum horizontalAlignmentValue)

  Description copied from interface: `JRAlignment`
  Sets the text horizontal alignment.

  Specified by:
    `setHorizontalAlignment` in interface `JRAlignment`
  Parameters:
    `horizontalAlignmentValue` - a value representing one of the horizontal alignment constants in `HorizontalAlignEnum`

### getVerticalAlignment

    public byte getVerticalAlignment()

  Deprecated. Replaced by `getVerticalAlignmentValue()`.

  Specified by:
    `getVerticalAlignment` in interface `JRAlignment`

### getOwnVerticalAlignment

    public java.lang.Byte getOwnVerticalAlignment()

  Deprecated. Replaced by `getOwnVerticalAlignmentValue()`.

  Specified by:
    `getOwnVerticalAlignment` in interface `JRAlignment`

### getVerticalAlignmentValue

    public VerticalAlignEnum getVerticalAlignmentValue()

  Description copied from interface: `JRAlignment`
  Gets the text vertical alignment.

  Specified by:
    `getVerticalAlignmentValue` in interface `JRAlignment`
  Returns:
    a value representing one of the vertical alignment constants in `VerticalAlignEnum`

### getOwnVerticalAlignmentValue

    public VerticalAlignEnum getOwnVerticalAlignmentValue()

  Specified by:
    `getOwnVerticalAlignmentValue` in interface `JRAlignment`

### setVerticalAlignment

    public void setVerticalAlignment(byte verticalAlignment)

  Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.

  Specified by:
    `setVerticalAlignment` in interface `JRAlignment`

### setVerticalAlignment

    public void setVerticalAlignment(java.lang.Byte verticalAlignment)

  Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.

  Specified by:
    `setVerticalAlignment` in interface `JRAlignment`

### setVerticalAlignment

    public void setVerticalAlignment(VerticalAlignEnum verticalAlignmentValue)

  Description copied from interface: `JRAlignment`
  Gets the text vertical alignment.

  Specified by:
    `setVerticalAlignment` in interface `JRAlignment`
  Parameters:
    `verticalAlignmentValue` - a value representing one of the vertical alignment constants in `VerticalAlignEnum`

### isUsingCache

    public boolean isUsingCache()

  Description copied from interface: `JRImage`
  Indicates if the engine is loading the current image from cache. Implementations of this method rely on default values that depend on the type of the image expression if a value was not explicitly set of this flag.

  Specified by:
    `isUsingCache` in interface `JRImage`
  Returns:
    true if the image should be loaded from cache, false otherwise

### isOwnUsingCache

    public java.lang.Boolean isOwnUsingCache()

  Description copied from interface: `JRImage`
  Indicates if the engine is loading the current image from cache. Implementations of this method return the actual value for the internal flag that was explicitly set on this image element.

  Specified by:
    `isOwnUsingCache` in interface `JRImage`
  Returns:
    Boolean.TRUE if the image should be loaded from cache, Boolean.FALSE otherwise or null in case the flag was never explicitly set on this image element

### setUsingCache

    public void setUsingCache(boolean isUsingCache)

  Description copied from interface: `JRImage`
  Specifies if the engine should be loading the current image from cache. If set to true, the reporting engine will try to recognize previously loaded images using their specified source. For example, it will recognize an image if the image source is a file name that it has already loaded, or if it is the same URL.

  For image elements that have expressions returning `java.lang.String` objects as the image source, representing file names, URLs or classpath resources, the default value for this flag is true.

  Specified by:
    `setUsingCache` in interface `JRImage`

### setUsingCache

    public void setUsingCache(java.lang.Boolean isUsingCache)

  Description copied from interface: `JRImage`
  Specifies if the engine should be loading the current image from cache. If set to Boolean.TRUE, the reporting engine will try to recognize previously loaded images using their specified source. For example, it will recognize an image if the image source is a file name that it has already loaded, or if it is the same URL.

  If set to null, the engine will rely on some default value which depends on the type of the image expression. The cache is turned on by default only for images that have `java.lang.String` objects in their expressions.

  Specified by:
    `setUsingCache` in interface `JRImage`

### isLazy

    public boolean isLazy()

  Description copied from interface: `JRImage`
  Indicates if the images will be loaded lazily or not.

  Specified by:
    `isLazy` in interface `JRImage`

### setLazy

    public void setLazy(boolean isLazy)

  Description copied from interface: `JRImage`
  Gives control over when the images are retrieved from their specified location. If set to true, the image is loaded from the specified location only when the document is viewed or exported to other formats. Otherwise it is loaded during the report filling process and stored in the resulting document.

  Specified by:
    `setLazy` in interface `JRImage`
  Parameters:
    `isLazy` - specifies whether

### getOnErrorType

    public byte getOnErrorType()

  Deprecated. Replaced by `getOnErrorTypeValue()`

  Specified by:
    `getOnErrorType` in interface `JRImage`

### setOnErrorType

    public void setOnErrorType(byte onErrorType)

  Deprecated. Replaced by `setOnErrorType(OnErrorTypeEnum)`

  Specified by:
    `setOnErrorType` in interface `JRImage`

### getOnErrorTypeValue

    public OnErrorTypeEnum getOnErrorTypeValue()

  Description copied from interface: `JRImage`
  Indicates how the engine will treat a missing image.

  Specified by:
    `getOnErrorTypeValue` in interface `JRImage`
  Returns:
    a value representing one of the missing image handling constants in `OnErrorTypeEnum`

### setOnErrorType

    public void setOnErrorType(OnErrorTypeEnum onErrorTypeValue)

  Description copied from interface: `JRImage`
  Specifies how the engine should treat a missing image.

  Specified by:
    `setOnErrorType` in interface `JRImage`
  Parameters:
    `onErrorTypeValue` - a value representing one of the missing image handling constants in `OnErrorTypeEnum`

### getEvaluationTime

    public byte getEvaluationTime()

  Deprecated. Replaced by `getEvaluationTimeValue()`.

  Specified by:
    `getEvaluationTime` in interface `JRImage`

### getEvaluationTimeValue

    public EvaluationTimeEnum getEvaluationTimeValue()

  Description copied from interface: `JRImage`
  Indicates the evaluation time for this image.

  Specified by:
    `getEvaluationTimeValue` in interface `JRImage`
  Returns:
    one of the evaluation time constants in `EvaluationTimeEnum`

### getBox

    public JRBox getBox()

  Deprecated. Replaced by `getLineBox()`

  Description copied from interface: `JRImage`
  Returns an object containing all border and padding properties for this text element

  Specified by:
    `getBox` in interface `JRImage`

### getLineBox

    public JRLineBox getLineBox()

  Specified by:
    `getLineBox` in interface `JRBoxContainer`

### getHyperlinkType

    public byte getHyperlinkType()

  Deprecated. Replaced by `getHyperlinkTypeValue()`.

  Specified by:
    `getHyperlinkType` in interface `JRHyperlink`

### getHyperlinkTypeValue

    public HyperlinkTypeEnum getHyperlinkTypeValue()

  Description copied from interface: `JRHyperlink`
  Retrieves the hyperlink type for the element.

  The actual hyperlink type is determined by `getLinkType()`. This method can is used to determine whether the hyperlink type is one of the built-in types or a custom type. When hyperlink is of custom type, `CUSTOM` is returned.

  Specified by:
    `getHyperlinkTypeValue` in interface `JRHyperlink`
  Returns:
    one of the hyperlink type constants
  See Also:
    `JRHyperlink.getLinkType()`

### getHyperlinkTarget

    public byte getHyperlinkTarget()

  Description copied from interface: `JRHyperlink`
  Retrieves the hyperlink target for the element.

  The actual hyperlink target is determined by `getLinkTarget()`. This method can is used to determine whether the hyperlink target is one of the built-in target names or a custom one. When hyperlink has a custom target name, `HYPERLINK_TYPE_CUSTOM` is returned.

  Specified by:
    `getHyperlinkTarget` in interface `JRHyperlink`
  Returns:
    one of the hyperlink target constants
  See Also:
    `JRHyperlink.getLinkTarget()`

### getEvaluationGroup

    public JRGroup getEvaluationGroup()

  Description copied from interface: `JRImage`
  Gets the evaluation group for this text field. Used only when evaluation time is group.

  Specified by:
    `getEvaluationGroup` in interface `JRImage`
  See Also:
    `EvaluationTimeEnum.GROUP`

### getExpression

    public JRExpression getExpression()

  Specified by:
    `getExpression` in interface `JRImage`

### getAnchorNameExpression

    public JRExpression getAnchorNameExpression()

  Description copied from interface: `JRAnchor`
  Returns an expression whose value represents the anchor name.

  Specified by:
    `getAnchorNameExpression` in interface `JRAnchor`

### getHyperlinkReferenceExpression

    public JRExpression getHyperlinkReferenceExpression()

  Description copied from interface: `JRHyperlink`
  Returns the expression whose value represents the hyperlink reference. It is only used when the hyperlink type is reference or anchor

  Specified by:
    `getHyperlinkReferenceExpression` in interface `JRHyperlink`

### getHyperlinkAnchorExpression

    public JRExpression getHyperlinkAnchorExpression()

  Description copied from interface: `JRHyperlink`
  Returns the expression whose value represents the anchor. It is only used when the hyperlink type is anchor.

  Specified by:
    `getHyperlinkAnchorExpression` in interface `JRHyperlink`

### getHyperlinkPageExpression

    public JRExpression getHyperlinkPageExpression()

  Description copied from interface: `JRHyperlink`
  Returns an integer representing the page index of the link. It is only used when the hyperlink type is page. If the expression does not evaluate to an integer, an exception will be thrown.

  Specified by:
    `getHyperlinkPageExpression` in interface `JRHyperlink`

### collectExpressions

    public void collectExpressions(JRExpressionCollector collector)

  Specified by:
    `collectExpressions` in interface `JRElement`

### visit

    public void visit(JRVisitor visitor)

  Specified by:
    `visit` in interface `JRVisitable`

### getBookmarkLevel

    public int getBookmarkLevel()

  Description copied from interface: `JRAnchor`
  Returns the level of the bookmark corresponding to the anchor.

  Specified by:
    `getBookmarkLevel` in interface `JRAnchor`
  Returns:
    the level of the bookmark corresponding to the anchor (starting from 1) or `NO_BOOKMARK` if no bookmark should be created for this anchor

### getDefaultLineWidth

    public java.lang.Float getDefaultLineWidth()

  Specified by:
    `getDefaultLineWidth` in interface `JRPenContainer`
  Overrides:
    `getDefaultLineWidth` in class `JRBaseGraphicElement`

### getBorder

    public byte getBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBorder` in interface `JRBox`

### getOwnBorder

    public java.lang.Byte getOwnBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBorder` in interface `JRBox`

### setBorder

    public void setBorder(byte border)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBorder` in interface `JRBox`

### setBorder

    public void setBorder(java.lang.Byte border)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBorder` in interface `JRBox`

### getBorderColor

    public java.awt.Color getBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBorderColor` in interface `JRBox`

### getOwnBorderColor

    public java.awt.Color getOwnBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBorderColor` in interface `JRBox`

### setBorderColor

    public void setBorderColor(java.awt.Color borderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBorderColor` in interface `JRBox`

### getPadding

    public int getPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getPadding` in interface `JRBox`

### getOwnPadding

    public java.lang.Integer getOwnPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnPadding` in interface `JRBox`

### setPadding

    public void setPadding(int padding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setPadding` in interface `JRBox`

### setPadding

    public void setPadding(java.lang.Integer padding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setPadding` in interface `JRBox`

### getTopBorder

    public byte getTopBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getTopBorder` in interface `JRBox`

### getOwnTopBorder

    public java.lang.Byte getOwnTopBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnTopBorder` in interface `JRBox`

### setTopBorder

    public void setTopBorder(byte topBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopBorder` in interface `JRBox`

### setTopBorder

    public void setTopBorder(java.lang.Byte topBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopBorder` in interface `JRBox`

### getTopBorderColor

    public java.awt.Color getTopBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getTopBorderColor` in interface `JRBox`

### getOwnTopBorderColor

    public java.awt.Color getOwnTopBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnTopBorderColor` in interface `JRBox`

### setTopBorderColor

    public void setTopBorderColor(java.awt.Color topBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopBorderColor` in interface `JRBox`

### getTopPadding

    public int getTopPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getTopPadding` in interface `JRBox`

### getOwnTopPadding

    public java.lang.Integer getOwnTopPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnTopPadding` in interface `JRBox`

### setTopPadding

    public void setTopPadding(int topPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopPadding` in interface `JRBox`

### setTopPadding

    public void setTopPadding(java.lang.Integer topPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopPadding` in interface `JRBox`

### getLeftBorder

    public byte getLeftBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getLeftBorder` in interface `JRBox`

### getOwnLeftBorder

    public java.lang.Byte getOwnLeftBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnLeftBorder` in interface `JRBox`

### setLeftBorder

    public void setLeftBorder(byte leftBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftBorder` in interface `JRBox`

### setLeftBorder

    public void setLeftBorder(java.lang.Byte leftBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftBorder` in interface `JRBox`

### getLeftBorderColor

    public java.awt.Color getLeftBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getLeftBorderColor` in interface `JRBox`

### getOwnLeftBorderColor

    public java.awt.Color getOwnLeftBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnLeftBorderColor` in interface `JRBox`

### setLeftBorderColor

    public void setLeftBorderColor(java.awt.Color leftBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftBorderColor` in interface `JRBox`

### getLeftPadding

    public int getLeftPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getLeftPadding` in interface `JRBox`

### getOwnLeftPadding

    public java.lang.Integer getOwnLeftPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnLeftPadding` in interface `JRBox`

### setLeftPadding

    public void setLeftPadding(int leftPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftPadding` in interface `JRBox`

### setLeftPadding

    public void setLeftPadding(java.lang.Integer leftPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftPadding` in interface `JRBox`

### getBottomBorder

    public byte getBottomBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBottomBorder` in interface `JRBox`

### getOwnBottomBorder

    public java.lang.Byte getOwnBottomBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBottomBorder` in interface `JRBox`

### setBottomBorder

    public void setBottomBorder(byte bottomBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomBorder` in interface `JRBox`

### setBottomBorder

    public void setBottomBorder(java.lang.Byte bottomBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomBorder` in interface `JRBox`

### getBottomBorderColor

    public java.awt.Color getBottomBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBottomBorderColor` in interface `JRBox`

### getOwnBottomBorderColor

    public java.awt.Color getOwnBottomBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBottomBorderColor` in interface `JRBox`

### setBottomBorderColor

    public void setBottomBorderColor(java.awt.Color bottomBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomBorderColor` in interface `JRBox`

### getBottomPadding

    public int getBottomPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBottomPadding` in interface `JRBox`

### getOwnBottomPadding

    public java.lang.Integer getOwnBottomPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBottomPadding` in interface `JRBox`

### setBottomPadding

    public void setBottomPadding(int bottomPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomPadding` in interface `JRBox`

### setBottomPadding

    public void setBottomPadding(java.lang.Integer bottomPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomPadding` in interface `JRBox`

### getRightBorder

    public byte getRightBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getRightBorder` in interface `JRBox`

### getOwnRightBorder

    public java.lang.Byte getOwnRightBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnRightBorder` in interface `JRBox`

### setRightBorder

    public void setRightBorder(byte rightBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightBorder` in interface `JRBox`

### setRightBorder

    public void setRightBorder(java.lang.Byte rightBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightBorder` in interface `JRBox`

### getRightBorderColor

    public java.awt.Color getRightBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getRightBorderColor` in interface `JRBox`

### getOwnRightBorderColor

    public java.awt.Color getOwnRightBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnRightBorderColor` in interface `JRBox`

### setRightBorderColor

    public void setRightBorderColor(java.awt.Color rightBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightBorderColor` in interface `JRBox`

### getRightPadding

    public int getRightPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getRightPadding` in interface `JRBox`

### getOwnRightPadding

    public java.lang.Integer getOwnRightPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnRightPadding` in interface `JRBox`

### setRightPadding

    public void setRightPadding(int rightPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightPadding` in interface `JRBox`

### setRightPadding

    public void setRightPadding(java.lang.Integer rightPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightPadding` in interface `JRBox`

### getLinkType

    public java.lang.String getLinkType()

  Description copied from interface: `JRHyperlink`
  Returns the hyperlink type.

  The type can be one of the built-in types (Reference, LocalAnchor, LocalPage, RemoteAnchor, RemotePage), or can be an arbitrary type.

  Specified by:
    `getLinkType` in interface `JRHyperlink`
  Returns:
    the hyperlink type

### getLinkTarget

    public java.lang.String getLinkTarget()

  Description copied from interface: `JRHyperlink`
  Returns the hyperlink target name.

  The type can be one of the built-in names (Self, Blank, Top, Parent), or can be an arbitrary name.

  Specified by:
    `getLinkTarget` in interface `JRHyperlink`
  Returns:
    the hyperlink target name

### getHyperlinkParameters

    public JRHyperlinkParameter[] getHyperlinkParameters()

  Description copied from interface: `JRHyperlink`
  Returns the list of hyperlink parameters.

  The parameters can be used by custom hyperlink types to generate dynamic links.

  Specified by:
    `getHyperlinkParameters` in interface `JRHyperlink`
  Returns:
    the list of hyperlink parameters

### getHyperlinkTooltipExpression

    public JRExpression getHyperlinkTooltipExpression()

  Description copied from interface: `JRHyperlink`
  Returns the expression which will generate the hyperlink tooltip.

  Specified by:
    `getHyperlinkTooltipExpression` in interface `JRHyperlink`
  Returns:
    the expression which will generate the hyperlink tooltip

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `JRBaseGraphicElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com